Package net.rubygrapefruit.platform

# Interface WindowsFiles

All Superinterfaces:
  `Files`, `NativeIntegration`

All Known Implementing Classes:
  `DefaultWindowsFiles`

public interface WindowsFiles extends Files
Functions to query files on a Windows file system.

## Method Summary

Modifier and Type
Method
Description
`WindowsFileInfo`
`stat(File file)`
Returns basic information about the given file.

### Methods inherited from interface net.rubygrapefruit.platform.Files

`listDir, listDir, stat`

## Method Details

### stat

WindowsFileInfo stat(File file) throws NativeException
Returns basic information about the given file. Returns whatever file details can be efficiently calculated in a single system call, which is more efficient that querying these details separately.

When the file references a symlink, details about the symlink is returned, not the target of the symlink.

Specified by:
  `stat` in interface `Files`
Parameters:
  `file` - The path of the file to get details of. Follows symlinks to the parent directory of this file.
Returns:
  Details of the file. Returns details with type `FileInfo.Type.Missing` for a file that does not exist.
Throws:
  `NativeException` - On failure to query the file information.